# i3-stones 

## Dependencies

### For i3
- i3wm
- polybar

### For sway
- wl-root
- sway
- waybar

### Others (notifications and icons)
- A Nerd Font (for icons)
- tiramisu

## For brightness and media control:
- brightnessctl (You have to add user to the following groups: video input)
- playerctl
## For screen tearing:
- Fix xorg config with appropriate driver.
- Driver:
    - intel: xf86-video-intel
    - sudo -e /etc/X11/xorg.conf.d/20-intel.conf
```
Section "Device"
    Identifier "Intel Graphics"
    Driver "intel"
    Option "TearFree"    "true"
EndSection
```
![stones](./screenshots/Screenshot_20240503_095414.png)

## Neovim

### Vimplug
```sh
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \
       https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
```
### Conquer of Completion
- nodejs is a requirement
```
curl -sL install-node.vercel.app/lts | bash
```
### coc.nvim
```
:CocInstall coc-pairs coc-json coc-tsserver coc-snippets
```
### coc.vimtex
```
:CocInstall coc-vimtex
```